Get crypto wallet transaction by ID
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "Transaction retrieved successfully",
"data": {
"id": "44444444-4444-4444-8444-444444444401",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
}
Crypto Wallets
Get Wallet Single Transaction
Retrieve a single crypto wallet transaction by transaction ID
GET
/
api
/
v1
/
wallets
/
crypto
/
transactions
/
{transactionId}
Get crypto wallet transaction by ID
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/{transactionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "Transaction retrieved successfully",
"data": {
"id": "44444444-4444-4444-8444-444444444401",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
}
Path Parameters
string
required
Transaction ID
Headers
string
required
API Key for authentication
Request Example
curl -X GET https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/44444444-4444-4444-8444-444444444401 \
-H "x-api-key: $FOSSAPAY_API_KEY"
const response = await fetch(
'https://api-production.fossapay.com/api/v1/wallets/crypto/transactions/44444444-4444-4444-8444-444444444401',
{
method: 'GET',
headers: {
'x-api-key': process.env.FOSSAPAY_API_KEY
}
}
);
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const transaction = await response.json();
Response
{
"status": "success",
"statusCode": 200,
"message": "Transaction retrieved successfully",
"data": {
"id": "44444444-4444-4444-8444-444444444401",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
}
Error Responses
Missing and non-owned crypto transactions currently return HTTP400; authentication failures return 401.
